> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/ranks/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/ranks/:
    get:
      tags:
        - Metadata/Ranks
      summary: List
      operationId: ranks_list
      parameters:
        - in: query
          name: mona_version__audience_type
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
          description: |-
            * `0` - None
            * `1` - Customers
            * `2` - Employees
            * `3` - Donors
            * `4` - Media
            * `5` - Gathering 2024 Lecturees
        - in: query
          name: mona_version__id
          schema:
            type: integer
        - in: query
          name: mona_version__sequence
          schema:
            type: integer
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedRankList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedRankList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/Rank'
    Rank:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 25
        description:
          type: string
        minimum_differential:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          description: >-
            The minimum difference (%) between a segment's score and potential
            score needed to qualify for this rank, expressed as percentage
        audience_type:
          type: integer
        mona_version:
          type: integer
      required:
        - audience_type
        - description
        - id
        - minimum_differential
        - mona_version
        - name
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````